# H225_Q954Details Class Reference

`#include <h225.h>`

Inheritance diagram for H225_Q954Details:

List of all members.

## Public Member Functions

| H225_Q954Details (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Boolean | m_conferenceCalling
PASN_Boolean | m_threePartyService

## Constructor & Destructor Documentation

H225_Q954Details::H225_Q954Details | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_Q954Details::GetDataLength | ( |  | ) | const

PBoolean H225_Q954Details::Decode | ( | PASN_Stream & | strm | ) |

void H225_Q954Details::Encode | ( | PASN_Stream & | strm | ) | const

void H225_Q954Details::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_Q954Details::Compare | ( | const PObject & | obj | ) | const

PObject* H225_Q954Details::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Boolean H225_Q954Details::m_conferenceCalling

PASN_Boolean H225_Q954Details::m_threePartyService

The documentation for this class was generated from the following file:

- h225.h